Come installo Bitcoin in Ubuntu?

51

Qualcuno può guidarmi durante il processo di installazione di Bitcoin su Ubuntu? Sono nuovo di Linux, e questo è davvero tutto ciò che voglio fare con questo computer.

    
posta Miles 07.05.2011 - 16:33

6 risposte

27

10.10

Launchpad ha un archivio PPA (Personal Package Archives) per Bitcoin .

Puoi aggiungere questo PPA alle sorgenti software del tuo sistema: ppa:bitcoin/bitcoin Dopodiché puoi cercare Ubuntu software center per bitcoin o dal terminale sudo apt-get install bitcoin

A proposito: bitcoin è disponibile solo per maverick e lucido quindi, dopo aver aggiunto il PPA, modifica la distribuzione in maverick.

E uno screenshot per finirlo:

References:

Per passare da 'natty' a 'maverick' per un PPA puoi farlo dal centro del software Ubuntu:

Fai clic sul bitcoin PPA e seleziona Modifica. Quindi cambia "Natty" in "Maverick":

Ricarica i sorgenti (verrà richiesto) e dovresti essere in grado di installare la versione di "bitcoin" di maverick.

    
risposta data Rinzwind 07.05.2011 - 16:54
52

Bitcoin ha ora un PPA ufficialmente mantenuto con una versione candidata al rilascio del demone peer-to-peer e il cliente.

Bitcoin ha un progetto launchpad cioè lo stesso stato del progetto di Unity / Docky / Openshot ecc. Il maintainer - Matt Corallo - è un importante contributore al sito web ufficiale bitcoin.org .

Questo aggiornerà tutte le versioni dalla 10.04 in poi.

Le seguenti istruzioni aggiorneranno il tuo sistema all'ultima versione del client

sudo add-apt-repository ppa:bitcoin/bitcoin 
sudo apt-get update
sudo apt-get install bitcoin-qt

Conferma che questo OK da usare è tramite forum bitcoin .

    
risposta data fossfreedom 04.11.2011 - 13:12
9

11.04

bitcoin con Unity non funziona a causa di un problema con Compiz - questa è la segnalazione di bug

Questo problema è stato discusso con alcuni suggerimenti sui bitcoin forum

In sintesi: se non desideri installare

  1. una nuova versione di bitcoin via ppa o dall'ultima fonte sul sito web di bitcoin, o
  2. aggiorna le librerie wxwidget,

dovresti uscire da Unity e scegliere la sessione "Ubuntu classic (senza effetti)" - cioè eseguire Ubuntu senza effetti di compiz.

    
risposta data fossfreedom 08.06.2011 - 00:09
3

Ho creato questo script che sembra aver funzionato per me sia su Ubir 11.10 onirico sia su Ubuntu 13.10 saucy. Tuttavia, sono sicuro che sia pieno di problemi e che l'installazione di codice non sia potenzialmente necessaria. Se qualcuno è un programmatore bash migliore, vai lì e inserisci alcune istruzioni if [ ...] per non installare tutti i pacchetti.

#!/bin/bash

# Word of caution, I am not an experienced shell programmer. All I can #
# guarantee is that this script has worked for me, and that it has     #
# done so on multiple Ubuntu machines (one 11.10 and one 13.10), so    #
# hopefully it will work for you too                                   #

# Install some packages as instructed on various web sites
sudo apt-get -y install qt4-qmake libqt4-dev build-essential libboost-dev libboost-system-dev libboost-filesystem-dev libboost-program-options-dev libboost-thread-dev libssl-dev
sudo apt-get -y install libtool autotools-dev autoconf
sudo apt-get -y install libdb4.8-dev # Generally this step fails
sudo apt-get -y install libdb4.8++-dev # Generally this step fails
sudo apt-get -y install libboost1.37-dev # Sometimes this step fail
sudo apt-get -y install libboost-all-dev # Sometimes this step fail
sudo apt-get -y install libminiupnpc-dev
sudo apt-get -y install libdb++-dev
sudo apt-get -y install libprotobuf-dev
sudo apt-get -y install libqrencode-dev

# Build berkley db4.8
# Technically, this should only be installed if the above              #
# libdb4.8XX-dev packages failed to install but nothing beats a little #
# overkill =)                                                          #
cd ~/Downloads
if [ ! -e db-4.8.30 ]
then
   wget http://download.oracle.com/berkeley-db/db-4.8.30.tar.gz
   tar zxvf db-4.8.30.tar.gz
   rm -f db-4.8.30.tar.gz
fi

cd db-4.8.30/build_unix
../dist/configure --prefix=/usr/local --enable-cxx # If this doesn't work, try removing or changing prefix
make
sudo make install
cd ~/Downloads
rm -fr db-4.8.30/ # If it still doesn't work, try commenting out this line

locate libdb4.8-dev # Comment this out as it may cause problems

if [ $? -ne "0" ]
then
   Failed to install db-4.8.30
   exit -1
fi

# Build bitcoin
cd ~/Downloads
if [ ! -e bitcoin ]
then
   git clone https://github.com/bitcoin/bitcoin ~/Downloads/bitcoin
fi

cd bitcoin

./autogen.sh
./configure # Non Ubuntu 13.xx versions
# ./configure --with-boost-libdir=/usr/lib/x86_64-linux-gnu # Ubuntu 13.xx version
make

cd ~/Downloads
rm -fr bitcoin
    
risposta data puk 04.12.2013 - 23:36
2

Puoi provare a utilizzare questo ppa: bitcoin David Armstrong ppa launchpad

Nella finestra del terminale (premi Alt + F2 e digita gnome-terminal) e copia + incolla le seguenti righe:

sudo add-apt-repository ppa:stretch/bitcoin
sudo apt-get update && sudo apt-get install bitcoin
    
risposta data tinuz 25.05.2011 - 10:45
1

Oltre alla risposta di fossfreedom , potresti dover installare add-apt-repository . Ad esempio su Ubuntu Server (16.04 LTS)

Vedrai questo errore:

sudo: add-apt-repository: command not found

In questo caso, per 16.04, hai bisogno dei seguenti comandi:

sudo apt install software-properties-common
sudo add-apt-repository ppa:bitcoin/bitcoin 
sudo apt update
sudo apt install bitcoin-qt

Ma per un server, molto probabilmente non vuoi bitcoin-qt ma bitcoind . Cambia l'ultima linea in:

sudo apt install bitcoind
    
risposta data berkes 09.01.2017 - 12:12

Leggi altre domande sui tag